import { useQuery, useSuspenseQuery } from '@tanstack/react-query';

import { usersApi } from './api';

export function useUsersSuspense() {
  const { data: users, refetch } = useSuspenseQuery({
    ...usersApi.getUsersQueryOptions()
  });

  return { users: users?.data ?? [], refetch };
}

export function useUsers() {
  const { data: users, refetch } = useQuery({
    ...usersApi.getUsersQueryOptions()
  });

  return { users: users?.data ?? [], refetch };
}
